class UsersController < ApplicationController
  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      token = @user.generate_token_for(:email_verification)
      UserMailer.with(user: @user, token: token).email_verification.deliver_later
      flash[:notice] = t(".success", name: @user.first_name)
      redirect_to :root
    else
      flash[:alert] = t(".error", error: @user.errors.full_messages.to_sentence)
      render :new, status: :unprocessable_entity
    end
  end

  private

    def user_params
      params.require(:user).permit(
        :username,
        :password,
        :password_confirmation,
        :email,
        :first_name,
        :last_name,
      )
    end
end
